# ScalaForkOptions

abstract class ScalaForkOptions : ProviderAwareCompilerDaemonForkOptions

Fork options for Scala compilation. Only take effect if `BaseScalaCompileOptions.fork` is `true`.

## Constructors

ScalaForkOptions
Link copied to clipboard
constructor()

## Properties

jvmArgs
Link copied to clipboard
open var jvmArgs: List<String>
jvmArgumentProviders
Link copied to clipboard
val jvmArgumentProviders: List<CommandLineArgumentProvider>
memoryInitialSize
Link copied to clipboard
open var memoryInitialSize: String
memoryMaximumSize
Link copied to clipboard
open var memoryMaximumSize: String

## Functions

getAllJvmArgs
Link copied to clipboard
open fun getAllJvmArgs(): List<String>